% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kernel_base.R
\docType{class}
\name{GauPro_kernel}
\alias{GauPro_kernel}
\title{Kernel R6 class}
\format{
\code{\link{R6Class}} object.
}
\value{
Object of \code{\link{R6Class}} with methods for fitting GP model.
}
\description{
Kernel R6 class

Kernel R6 class
}
\examples{
#k <- GauPro_kernel$new()
}
\section{Public fields}{
\if{html}{\out{<div class="r6-fields">}}
\describe{
\item{\code{D}}{Number of input dimensions of data}

\item{\code{useC}}{Should C code be used when possible? Can be much faster.}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-GauPro_kernel-plot}{\code{GauPro_kernel$plot()}}
\item \href{#method-GauPro_kernel-print}{\code{GauPro_kernel$print()}}
\item \href{#method-GauPro_kernel-clone}{\code{GauPro_kernel$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GauPro_kernel-plot"></a>}}
\if{latex}{\out{\hypertarget{method-GauPro_kernel-plot}{}}}
\subsection{Method \code{plot()}}{
Plot kernel decay.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GauPro_kernel$plot(X = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{X}}{Matrix of points the kernel is used with. Some will be used
to demonstrate how the covariance changes.}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GauPro_kernel-print"></a>}}
\if{latex}{\out{\hypertarget{method-GauPro_kernel-print}{}}}
\subsection{Method \code{print()}}{
Print this object
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GauPro_kernel$print()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-GauPro_kernel-clone"></a>}}
\if{latex}{\out{\hypertarget{method-GauPro_kernel-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{GauPro_kernel$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
